@charset "utf-8";

body,
.mainContents {
    height: max-content;
}



.mainContents {
    width: 70%;
    font-family: "Sen", sans-serif;
    font-optical-sizing: auto;
    font-weight: weight;
    font-style: normal;
}

/* contact → */
.aboutContent{
  margin: 0 30px;
}
.contactCapter {
  max-width: 700px;
  background-color: #ccc;
  border-radius: 20px;
}

.contactForm {
  max-width: 500px;
  margin: 0 auto;
  text-align: left;
  color: #fff;
}

form {
  padding-bottom: 40px;
}

.contactItem {
  margin: 20px 0;
}

.contactInput {
  width: 100%;
  margin: 10px auto;
  background-color: #fff;
}

.contactItem input,
.contactItem textarea {
  color: #333;
  padding: 5px;
  font-size: 16px;
}

.contactItemSend {
  text-align: center;
}

.contactSend {
  display: flex;
  justify-content: center;
  padding: 10px;
  background-color: #ccc;
  width: 100px;
  border-radius: 10px;
  margin: 0 0 0 auto;
}

.contactSend:hover {
  transition: transform 0.3s;
  transform: scale(1.1);
}

textarea {
  height: 100px;
}

.contactSend input {
  color: #333;
  width: 100%;
  height: 100%;
}

.notice{
  color: #fff;
  font-size: 14px;
  line-height: 1.6em;
  margin-bottom: 30px;
}

.notice p{
  padding: 10px;
}
/* contact ← */



.background {
    width: 30%;
    position: fixed;
    top: 0;
    right: 0;
}


/* pagetop → */
.topBtn {
    position: fixed;
    bottom: 30px;
    right: 30px;
    z-index: 100;
    font-size: 16px;
    opacity: 0;
    transform: translateY(20px);
    pointer-events: none;
    transition: opacity 0.4s ease, transform 0.4s ease;
}

.topBtn::before {
    content: "▶";
    display: inline-block;
    transform: rotate(-90deg);
}

.topBtn.active {
    opacity: 1;
    transform: translateY(0px);
    pointer-events: auto;
}

/* pagetop ← */
@media (max-width: 1024px) {
    .background {
        width: 100%;
        height: 100%;
    }
}

@media (max-width: 760px) {
    .mainContents {
        width: 100%;
    }
}